# eric6.Plugins.PluginEricapi

Module implementing the Ericapi plugin.

### Global Attributes

author
autoactivate
className
deactivateable
error
longDescription
name
packageName
pyqtApi
python2Compatible
shortDescription
version

### Classes

EricapiPlugin | Class implementing the Ericapi plugin.

### Functions

exeDisplayData | Public method to support the display of some executable info.

## EricapiPlugin

Class implementing the Ericapi plugin.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

EricapiPlugin | Constructor
__doEricapi | Private slot to perform the eric6_api api generation.
__initialize | Private slot to (re)initialize the plugin.
__projectShowMenu | Private slot called, when the the project menu or a submenu is about to be shown.
activate | Public method to activate this plugin.
deactivate | Public method to deactivate this plugin.

### Static Methods

None

#### EricapiPlugin (Constructor)

EricapiPlugin(ui)

Constructor

ui
  reference to the user interface object (UI.UserInterface)

#### EricapiPlugin.__doEricapi

__doEricapi()

Private slot to perform the eric6_api api generation.

#### EricapiPlugin.__initialize

__initialize()

Private slot to (re)initialize the plugin.

#### EricapiPlugin.__projectShowMenu

__projectShowMenu(menuName, menu)

Private slot called, when the the project menu or a submenu is about to be shown.

menuName
  name of the menu to be shown (string)
menu
  reference to the menu (QMenu)

#### EricapiPlugin.activate

activate()

Public method to activate this plugin.

Returns:
  tuple of None and activation status (boolean)

#### EricapiPlugin.deactivate

deactivate()

Public method to deactivate this plugin.

Up

## exeDisplayData

exeDisplayData()

Public method to support the display of some executable info.

Returns:
  dictionary containing the data to query the presence of the executable

Up